/*--------------------------------------------------------------------------
 *
 * 	You may freely copy, distribute, and reuse the code in this example.
 * 	SHL Systemhouse disclaims any warranty of any kind, expressed or  
 *	implied, as to its fitness for any particular use.
 *
 *	Address
 *
 *	Inherits From:		NSObject
 *
 *	Conforms To:		None
 *
 *	Declared In:		Address.h
 *
 *	Class Description
 *
 *		Address is the class we will use to hold location info.
 *
 *------------------------------------------------------------------------*/
#import <foundation/NSObject.h>

@class NSMutableString;




@interface Address : NSObject
{
	NSString	*address;
	NSString	*city;
	NSString	*state;
	NSString	*zip;
}

/*--------------------------------------------------------------------------
 *	Accessors
 *------------------------------------------------------------------------*/
- (NSString *) address;
- (NSString *) city;
- (NSString *) state;
- (NSString *) zip;

- (void) setAddress: (NSString *)anAddress;
- (void) setCity: (NSString *)aCity;
- (void) setState: (NSString *)aState;
- (void) setZip: (NSString *)aZip;

@end	
	